'use strict';

exports.__esModule = true;
exports.getElementProps = undefined;

var _entries = require('babel-runtime/core-js/object/entries');

var _entries2 = _interopRequireDefault(_entries);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isFieldProp = function isFieldProp(propName) {
  return propName === 'value' || propName === 'component' || propName === 'validator' || propName === 'excluded' || propName === 'onUpdate' || propName === 'onFieldChange' || propName === 'includeModel' || propName === 'submissionErrors' || propName === 'onFocus' || propName === 'onChange' || propName === 'onBlur';
};

var getElementProps = exports.getElementProps = function getElementProps(props) {
  var elementProps = {};
  (0, _entries2.default)(props).forEach(function (_ref) {
    var propName = _ref[0],
        propValue = _ref[1];

    if (!isFieldProp(propName)) {
      elementProps[propName] = propValue;
    }
  });

  return elementProps;
};
;

var _temp = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(isFieldProp, 'isFieldProp', 'E:/Projects/React/git/vb-react-form/src/Forms/FormField/getElementProps.js');

  __REACT_HOT_LOADER__.register(getElementProps, 'getElementProps', 'E:/Projects/React/git/vb-react-form/src/Forms/FormField/getElementProps.js');
}();

;