import _Object$entries from 'babel-runtime/core-js/object/entries';
var isFieldProp = function isFieldProp(propName) {
  return propName === 'value' || propName === 'component' || propName === 'validator' || propName === 'excluded' || propName === 'onUpdate' || propName === 'onFieldChange' || propName === 'includeModel' || propName === 'submissionErrors' || propName === 'onFocus' || propName === 'onChange' || propName === 'onBlur';
};

export var getElementProps = function getElementProps(props) {
  var elementProps = {};
  _Object$entries(props).forEach(function (_ref) {
    var propName = _ref[0],
        propValue = _ref[1];

    if (!isFieldProp(propName)) {
      elementProps[propName] = propValue;
    }
  });

  return elementProps;
};