'use strict';

exports.__esModule = true;
exports.connectForm = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _FormModel = require('./FormModel');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var connectForm = function connectForm(WrappedComponent) {
  var _class, _temp;

  var HOC = (_temp = _class = function (_React$Component) {
    (0, _inherits3.default)(HOC, _React$Component);

    function HOC(props, context) {
      (0, _classCallCheck3.default)(this, HOC);

      var _this = (0, _possibleConstructorReturn3.default)(this, _React$Component.call(this, props, context));

      _this.formModel = context.formModel;
      return _this;
    }

    HOC.prototype.componentDidMount = function componentDidMount() {
      var _this2 = this;

      this.subscriberId = this.formModel.addSubscriber(function () {
        _this2.forceUpdate();
      });
    };

    HOC.prototype.componentWillUnmount = function componentWillUnmount() {
      this.formModel.removeSubscriber(this.subscriberId);
    };

    HOC.prototype.render = function render() {
      return _react2.default.createElement(WrappedComponent, (0, _extends3.default)({}, this.props, { form: this.context.formModel.getPublic() }));
    };

    return HOC;
  }(_react2.default.Component), _class.contextTypes = {
    formModel: _propTypes2.default.instanceOf(_FormModel.FormModel).isRequired
  }, _temp);

  return HOC;
};

exports.connectForm = connectForm;
;

var _temp2 = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(connectForm, 'connectForm', 'E:/Projects/React/git/vb-react-form/src/Forms/Form/decorator.js');
}();

;